1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

swap magic 3.6 version

Discussion in 'PS2 - Software boot discussion' started by shagras, Jul 11, 2007.

  1. shagras

    shagras Member

    Joined:
    Jul 11, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    hi everyone, i just bought a swap magic 3.6 version and the website that sells them asked me which version i wanted, i want to play japanese imports on my american ps2 slim. the option i choose was JAP version because it said "japanese games". my question is, is this going to play the japanese imports ive bought? or should i get the NTSC version to play them, i am really confused about this and i dont want to spend anothe 20 bucks on something i shoulve done in the first place. if anyone can tell me which version do i need to play import japanese games in my american PS2, i would greatly appreciate it. thanks! n___n


    pd. thats what i get for not looking at forums first ;___;
     
  2. Z3120

    Z3120 Regular member

    Joined:
    Jan 8, 2007
    Messages:
    587
    Likes Received:
    0
    Trophy Points:
    26
    If you buy the Jap version of Swap Magic, or NTSC-J, you won't be able to play import games on your NTSC PS2 with it because your PS2 has to recognize the disc before you can boot Swap Magic properly. Imagine playing your PAL or NTSC-J region games on your PS2 without Swap Magic or modification whatsoever. A red screen. In short, buy the NTSC Swap Magic disc set for your PS2.
     
  3. shagras

    shagras Member

    Joined:
    Jul 11, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    thanks! that really helped me i was utterly confused about how that worked thank you! n___n
     

Share This Page